BRICKFAST - Disbursement
Ledger / Disbursement History
This API enable you to get transactions from certain interval and do transaction reconciliation in real time
ReadMe callout block:
Code{ "type": "info", "title": "Environment for End Point URL", "body": "**Please Replace the environment in the URL with:**\n\nWhen the environtment is sandbox, ***replace the {environment} with sandbox***. so the URL will be https://sandbox.onebrick.io/v2/payments/gs\n\nWhen the environment is production, ***replace the {environment} with api***. so the URL will be https://api.onebrick.io/v2/payments/gs" }
##Request parameters
ReadMe parameters block:
Code{ "data": { "h-0": "Key Parameters", "h-1": "Data Type", "h-2": "Description", "0-0": "publicAccessToken", "0-1": "String", "0-2": "One time access-token generated using the auth token API", "1-0": "startDate", "1-1": "Date", "1-2": "Start date based on transaction created date. Format is YYYY-MM-DD", "2-0": "endDate", "2-1": "Date", "2-2": "End date based on transaction created date. Format is YYYY-MM-DD", "3-0": "status", "3-1": "String", "3-2": "completed or processing or pending or failed", "4-0": "search", "4-1": "String", "4-2": "Look for specific transaction ID or referenceId", "5-0": "page", "5-1": "Integer", "6-0": "size", "6-1": "Integer", "5-2": "Which page of the data should be retrieved", "6-2": "How many records need to be retrieved per page. Maximum record is 2000 & default is 100 per page" }, "cols": 3, "rows": 7 }
Response parameters
ReadMe parameters block:
Code{ "data": { "h-0": "Key Parameters", "h-1": "Data type", "h-2": "Description", "0-0": "refId", "0-1": "String", "0-2": "Reference ID given by end user", "1-0": "date", "1-1": "Timestamp", "1-2": "Transaction created date", "2-0": "accountHolderName", "2-1": "String", "2-2": "Beneficiary Account holder name", "3-0": "accountNumber", "3-1": "Integer", "3-2": "Beneficiary Account number", "4-0": "bankName", "4-1": "String", "4-2": "Beneficiary bank name", "5-0": "description", "5-1": "String", "5-2": "Description that filled related to fund transfer", "6-0": "amount", "6-1": "Big Decimal", "6-2": "Transaction amount", "7-0": "fees", "7-1": "Big Decimal", "7-2": "Fees applied to Transaction", "8-0": "status", "8-1": "String", "8-2": "Status of the transaction. either completed or processing or pending or failed" }, "cols": 3, "rows": 9 }
Last modified on
